
        INCLUDE    \masm32\include\masm32rt.inc
        INCLUDE    \masm32\include\advapi32.inc
        INCLUDELIB \masm32\lib\advapi32.lib

        .DATA

szSubkey db 'SYSTEM\CurrentControlSet\Control\ComputerName\ComputerName',0
szValue  db 'ComputerName',0

        .DATA?

hKey     dd ?
ValType  dd ?
VBufLen  dd ?
Buffer   db 1024 dup(?)

        .CODE

_main   PROC

        INVOKE  RegOpenKeyEx,HKEY_LOCAL_MACHINE,addr szSubkey,NULL,KEY_QUERY_VALUE,addr hKey
        or      eax,eax
        jnz     KeyNotFound

        mov     VBufLen,sizeof Buffer
        INVOKE  RegQueryValueEx,hKey,addr szValue,NULL,addr ValType,addr Buffer,addr VBufLen
        or      eax,eax
        jnz     ValNotFound

        print   addr Buffer

NoValExit:
        INVOKE  RegCloseKey,hKey

NoKeyExit:
        print   chr$(13,10)
        inkey
        exit

KeyNotFound:
        print   chr$('Key Not Found')
        jmp     NoKeyExit

ValNotFound:
        print   chr$('Value Not Found')
        jmp     NoValExit

_main   ENDP

        END     _main

